## org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget
Interface IFacetWidget

All Superinterfaces:
  IENamedElementWidget<FacetSet,IGetOrCreateFilteredFacetSetWidget>

    public interface IFacetWidget

extends IENamedElementWidget<FacetSet,IGetOrCreateFilteredFacetSetWidget>

Method Summary
`IGetExtendedMetaclassWidget` `getGetExtendedMetaclassWidget()`
`java.lang.String` `getSubTypingFacet()`
`<any>` `pressSubTypingButton()`
`void` `setSubTypingFacetSelection(boolean enable)`

Methods inherited from interface org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget.IENamedElementWidget
`getContainer, getElementName, pressParentButton, setName`

Method Detail

### setSubTypingFacetSelection

    void setSubTypingFacetSelection(boolean enable)

### pressSubTypingButton

    <any> pressSubTypingButton()

### getSubTypingFacet

    java.lang.String getSubTypingFacet()

### getGetExtendedMetaclassWidget

    IGetExtendedMetaclassWidget getGetExtendedMetaclassWidget()